= DirSuite releases

Current published release is:

 libraryDependencies += "fi.e257" %% "dirsuite"  % "0.32.0"


See link:./UPGRADE.adoc[Upgrade Guide] for needed changes between versions.


== Release history

=== 0.32.0

Changes in this release:
* Update scalatest to 3.2.15
* Drop support for Scala 2.12
* Add support for Scala 3.2

Drop "testing" from distribution location, e.g. it's now "fi.e257".

==== Fixes

None


==== Development

Updated deps and tools:

* Dependencies
** better-files: 3.9.2
** scalatest: 3.2.15
* Build
** scala-2.12: Dropped
** scala: 3.2.2 (added)
** scala: 2.13.10
** sbt: 1.8.2
** sbt-wartremover: 3.0.9
** sbt-sonatype: 3.9.17



=== 0.31.0

Support ScalaTest 3.1.0


==== Fixes

None


==== Development

Updated deps and tools:

* Dependencies
** scalatest: 3.1.0
* Build
** sbt: 1.3.5
** sbt-scoverage: 1.6.1
** sbt-sonatype: 3.8.1



=== 0.30.2

Rebuild with Scala 2.12.10, 2.13.1


==== Fixes

None


==== Development

Updated deps and tools:

* Build
** scala: 2.12.10
** scala: 2.13.1
** sbt: 1.3.2
** sbt-wartremover: 2.4.3
** sbt-sonatype: 3.8



=== 0.30.1

Crossbuild for Scala 2.12 and 2.13


==== Fixes

None


==== Development

Updated deps and tools:

* dependencies
** scalatest: 3.0.8
* build
** sbt-scoverage: 1.6.0



=== 0.30.0

This release is same as 0.21.0, but it is not binary-compatible with code compiled with better-files 3.7.x:
link:https://github.com/pathikrit/better-files/issues/301[Better-files: Binary imcompatibility between 3.7.0 and 3.7.1]


==== Fixes

None


==== Development

Updated deps and tools:

* dependencies
** better-files: 3.8.0
* build
** sbt-coveralls: drop
** sbt-wartremover: 2.4.2



=== 0.21.0

Dependency updates and enforced ordering of execution of test cases.


==== Fixes

Enforce execution ordering of test cases (sort based on path name).


==== Development

Updated deps and tools:

* dependencies
** better-files: 3.7.0
** scala-arm: removed
** scalatest: 3.0.5
* build
** scala: 2.12.8
** sbt-wartremover: 2.4.1



=== 0.20.0

This is same as DirSuite v0.7.0. The difference is that code is
hosted at gitlab.com and moved under new namespace and groupId.


==== Fixes

None


==== Development

Updated deps and tools:

* build
** sbt: 1.2.8
** sbt-sonatype: 2.3

